%define anolis_release 2
%global pypi_name distro

Name:           python-%{pypi_name}
Version:        1.8.0
Release:        %{anolis_release}%{?dist}
Summary:        A much more elaborate replacement for removed Python's `platform.linux_distribution()` method
License:        ASL 2.0
URL:            https://github.com/python-distro/distro
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz
BuildArch:      noarch

%description
%{pypi_name} provides information about the OS distribution it runs on, such as a
reliable machine-readable ID, or version information.

It is the recommended replacement for Python's original
platform.linux_distribution function (removed in Python 3.8). It also
provides much more functionality which isn't necessarily Python bound, like a
command-line interface.

%package -n     python3-%{pypi_name}
Summary:        A much more elaborate replacement for removed Python's `platform.linux_distribution()` method
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  python3-devel python3-setuptools python3-pytest pyproject-rpm-macros
Suggests:       /usr/bin/lsb_release

%description -n python3-%{pypi_name}
%{pypi_name} provides information about the OS distribution it runs on, such as a
reliable machine-readable ID, or version information.

It is the recommended replacement for Python's original
platform.linux_distribution function (removed in Python 3.8). It also
provides much more functionality which isn't necessarily Python bound, like a
command-line interface.

Python 3 version.

%package -n python3-%{pypi_name}-doc
Summary:        Documentation files for python3-%{pypi_name}
Requires:       python3-%{pypi_name} = %{version}-%{release}
BuildArch:      noarch

%description -n python3-%{pypi_name}-doc
The python3-%{pypi_name}-doc package contains documentation files for python3-%{pypi_name}.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%{_bindir}/distro

%files -n python3-%{pypi_name}-doc
%doc CHANGELOG.md README.md CONTRIBUTORS.md

%changelog
* Wed Apr 12 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 1.8.0-2
- Optimize the spec file

* Fri Dec 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.8.0-1
- update to version 1.8.0

* Fri Sep 23 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.7.0-1
- update to 1.7.0

* Tue Mar 22 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.6.0-1
- init for Anolis OS 23
